package com.huiju.welcome.controller;

import com.huiju.welcome.common.base.BaseController;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaGoodsOrdersDetail;
import com.huiju.welcome.service.ITaGoodsOrdersDetailService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    *  前端控制器
    * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@RestController
@RequestMapping("/")
public class TaGoodsOrdersDetailController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaGoodsOrdersDetailController.class);

    @Autowired
    public ITaGoodsOrdersDetailService iTaGoodsOrdersDetailService;


    /**
     * 保存对象
     * @param taGoodsOrdersDetail 实体对象
     * @return
     */
    @RequestMapping(value="/taGoodsOrdersDetail/add",method= RequestMethod.POST)
    public ResponseBean tpShopImgAdd(@RequestBody TaGoodsOrdersDetail taGoodsOrdersDetail){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsOrdersDetailService.save(taGoodsOrdersDetail)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsOrdersDetailAdd -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id删除对象
     * @param id  实体ID
     */
    @ResponseBody
    @RequestMapping(value="/taGoodsOrdersDetail/delete/{id}", method= RequestMethod.DELETE)
    public ResponseBean taGoodsOrdersDetailDelete(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            if(iTaGoodsOrdersDetailService.removeById(id)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsOrdersDetailDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 修改对象
     * @param taGoodsOrdersDetail 实体对象
     * @return
     */
    @RequestMapping(value="/taGoodsOrdersDetail/update",method= RequestMethod.PUT)
    public ResponseBean tpShopImgUpdate(@RequestBody TaGoodsOrdersDetail taGoodsOrdersDetail){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsOrdersDetailService.updateById(taGoodsOrdersDetail)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsOrdersDetailUpdate -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id查询对象
     * @param id  实体ID
     */
    @RequestMapping(value="/taGoodsOrdersDetail/get/{id}",method= RequestMethod.GET)
    public ResponseBean tpShopImgGet(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            responseBean.addSuccess(iTaGoodsOrdersDetailService.getById(id));
        }catch (Exception e){
            logger.error("taGoodsOrdersDetailDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }
}
